various fixes
[distro-setup] / primary-setup
1 #!/bin/bash
2
3 # usage $0 [MAIL_HOST]
4 # setup things which involve being the primary host or not
5
6 set -eE -o pipefail
7 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
8
9
10 if [[ $EUID == 0 && ! $SUDO_USER ]]; then
11 echo "$0: error: requires running as nonroot or sudo"
12 exit 1
13 fi
14
15 if [[ $1 ]]; then
16 new_host=$1
17 sed -ri "s/MAIL_HOST=.*/MAIL_HOST=$new_host/" /a/bin/bash_unpublished/source-state
18 source /a/bin/bash_unpublished/source-state
19 fi
20
21 if [[ $HOSTNAME == "$MAIL_HOST" ]]; then
22 # arbtt disabled for now
23 #DISPLAY=:0 arbtt-capture --sample-rate=10 &
24 sudo systemctl start rss2email.timer
25 sudo systemctl enable rss2email.timer
26
27 else
28 sudo systemctl stop rss2email.timer
29 sudo systemctl stop rss2email.service
30 sudo systemctl disable rss2email.timer
31 # arbtt disabled for now
32 # for ((i=0; i<10; i++)); do
33 # killall arbtt-capture || break
34 # sleep 1
35 # if [[ $i == 9 ]]; then
36 # exit 1
37 # fi
38 # done
39 fi
40
41 /a/exe/mail-setup
42 exit 0
43 :